#include <stdio.h>
#include "debug.h"

inline void printArray(const char * func, int line, unsigned char arr[], int l) 
{
    char buf[4096] = {0};
    int len = 0;
    int i;
    
    len += snprintf(buf + len, 2047 - len, "[MSG][%s:%d]raw data (len = %d)\n", func, line, l);
    for (i = 0; i < l; i++) 
    {
        if (i != 0 && i % 16 == 0)
        {
            len += snprintf(buf + len, 2047 - len, "%s", "\n");
        }
        if (sizeof(arr[i]) == 1)
        {
            len += snprintf(buf + len, 2047 - len, "%02X ", arr[i]);
        }
        else
        {
            len += snprintf(buf + len, 2047 - len, "%04X ", arr[i]);
        }
    }
    len += snprintf(buf + len, 2047 - len, "%s", "\n");
    printf("\n===============================================\n");
    printf("%s", buf);
    printf("===============================================\n\n");
}

