#ifndef __CA_NETWORK_H__
#define __CA_NETWORK_H__

#ifdef CFG_DEV_TYPE_LAND_CA
/* Includes ------------------------------------------------------------------*/
#include "ca_main.h"
/* Define --------------------------------------------------------------------*/
//#define USB_MOUDLE_PATH ("/sys/devices/platform/soc/2100000.aips-bus/2184200.usb/ci_hdrc.1/usb1/1-1/")
#define DEV_NAME_4G_QUECTEL   ("/dev/ttyUSB3")
#define DIAL_PPP_PATH           "/etc/ppp/peers"
#define DIAL_PPP_BAK_PATH       "/home/root/peers"

typedef enum connetType
{   
    CONNET4G = 0,
    CONNETWIRED,
    UNKNOW
} e_connetType;

typedef enum pppState
{
    PPP_OFF = 0,
    PPP_ON = 1,
    //WIRED_ON = 2,
    //WIRED_OFF = 3,
} e_pppState;

typedef enum modelType
{
    WCDMA_EC20,
    OTHER
} e_modelType;

typedef struct
{
    e_connetType last_connect_type;  
    e_pppState net_dev_stat;
    pthread_mutex_t m_mutex;    // dial mutex
    int     m_first_inti;
    e_modelType m_mode_type;
}network_ctrl_t;

network_ctrl_t network_ctrl;

extern int _network_change_apn(const char *apn);
extern int network_handle_init(void);
#endif
#endif
